using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.BaseData.Domain.Entities.OP
{
    [Description("用户表(租户平台)")]
    public partial class T_OP_USER : MesEntityBase
    {      
        [Description("姓名")]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldLength(30)]
        public string NAME { get; set; }
     
        [Description("编码")]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldLength(30)]
        public string CODE { get; set; }

        [Description("密码")]
        [FormFieldTable]
        [FormFieldEdit]     
        public string PASSWORD { get; set; }

        [Description("手机号")]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldLength(30)]
        public string PHONE { get; set; }

        [Description("备注")]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldLength(30)]
        public string REMARK { get; set; }

        [Description("启用标志")]
        [FormFieldTable]
        [FormFieldEdit]
        [EnumName("FMEnableStatusEnum")]

        public int ENABLE_STATUS { get; set; }


    }
}
